> ## Documentation Index
> Fetch the complete documentation index at: https://doc.lucidworks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Replace current Fusion License with new license file



## OpenAPI

````yaml /api-reference/4.2/service-license.json put /license
openapi: 3.0.0
info:
  version: 4.2.6-rc1
  title: Fusion Service license
servers:
  - url: /api/apollo/
security: []
tags:
  - name: license
paths:
  /license:
    put:
      tags:
        - 4.2 License API
      summary: Replace current Fusion License with new license file
      operationId: replaceLicense
      requestBody:
        content:
          application/octet-stream:
            schema:
              type: array
              items:
                type: string
                format: byte
        description: New License
      responses:
        default:
          description: successful operation

````